Page MenuHomePhabricator

Use pagegenerators consistently in scripts
Open, LowestPublic

Description

The following scripts do not currently use pagegens, but it might be possible to use pagegens as they are page driven (but not always wiki page driven)

  • archivebot.py
  • casechecker.py
  • catall.py
  • cfd.py
  • editarticle.py
  • freebasemappingupload.py
  • imagetransfer.py
  • pagefromfile.py
  • redirect.py
  • replicate_wiki.py
  • states_redirect.py
  • upload.py
  • welcome.py

The following scripts do not currently use pagegens, and it probably cant be used for these scripts as they are not driven by page processing.

  • flickrripper.py
  • login.py
  • script_wui.py (not as a command line option, at least)
  • shell.py
  • version.py
  • watchlist.py

Event Timeline

jayvdb created this task.Dec 13 2014, 3:07 AM
jayvdb updated the task description. (Show Details)
jayvdb raised the priority of this task from to Needs Triage.
jayvdb changed Security from none to None.
jayvdb added a subscriber: jayvdb.
jayvdb renamed this task from Use pagegenerators for all scripts where it is sensible to Use pagegenerators consistently in scripts.Dec 13 2014, 3:39 AM
This comment was removed by jayvdb.
Mpaa added a subscriber: Mpaa.EditedDec 28 2014, 7:13 PM

I think it would be good for Argparse support T76429 [https://gerrit.wikimedia.org/r/#/c/156089/] to land before tackling this, so that we can migrate directly to the new approach.

Xqt triaged this task as Lowest priority.Dec 18 2018, 9:49 AM

Change 487585 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[pywikibot/core@master] [IMPR] Enable using of pagegenerators at catall.py script

https://gerrit.wikimedia.org/r/487585

Change 487586 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[pywikibot/core@master] [IMPR] Enable using of pagegenerators at editarticle.py script

https://gerrit.wikimedia.org/r/487586

Change 487587 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[pywikibot/core@master] [IMPR] Enable using of pagegenerators at flickrriper.py script

https://gerrit.wikimedia.org/r/487587

Dvorapa added a subscriber: Dvorapa.Feb 3 2019, 8:40 PM

archivebot.py is already using pagegens

Change 487586 abandoned by Zoranzoki21:
[IMPR] Enable using of pagegenerators at editarticle.py script

Reason:
There is much things to do on this script before making this change

https://gerrit.wikimedia.org/r/487586

Change 487585 abandoned by Zoranzoki21:
[IMPR] Enable using of pagegenerators at catall.py script

https://gerrit.wikimedia.org/r/487585

Change 487587 abandoned by Zoranzoki21:
[IMPR] Enable using of pagegenerators at flickrriper.py script

https://gerrit.wikimedia.org/r/487587

Change 487587 restored by Zoranzoki21:
[IMPR] Enable using of pagegenerators at flickrriper.py script

Reason:
Let's try again

https://gerrit.wikimedia.org/r/487587

Xqt updated the task description. (Show Details)Feb 24 2019, 10:20 AM

Change 487587 abandoned by Zoranzoki21:
[IMPR] Enable using of pagegenerators at flickrriper.py script

https://gerrit.wikimedia.org/r/487587